Package: org.grails.taglib

## [Groovy] Class TagLibraryMetaUtils

- org.grails.taglib.TagLibraryMetaUtils

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.Object` | `addTagLibMethodToMetaClass(groovy.lang.GroovyObject tagBean, groovy.lang.MetaMethod method, groovy.lang.MetaClass mc)`
    `` | `protected static boolean` | `doesMethodExist(groovy.lang.MetaClass mc, java.lang.String methodName, java.lang.Class[] parameterTypes, boolean staticScope = false, boolean onlyReal = false)`
    `` | `static void` | `enhanceTagLibMetaClass(GrailsTagLibClass taglib, TagLibraryLookup gspTagLibraryLookup)`
    `` | `static void` | `enhanceTagLibMetaClass(groovy.lang.MetaClass mc, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace)`
    `` | `static java.lang.Object` | `methodMissingForTagLib(groovy.lang.MetaClass mc, java.lang.Class type, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String name, java.lang.Object argsParam, boolean addMethodsToMetaClass)`
    `` | `static java.lang.Object` | `registerMethodMissingForTags(groovy.lang.MetaClass metaClass, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String name, boolean addAll = true, boolean overrideMethods = true)`
    `` | `static java.lang.Object` | `registerMethodMissingForTags(groovy.lang.MetaClass mc, org.springframework.context.ApplicationContext ctx, GrailsTagLibClass tagLibraryClass, java.lang.String name)`
    `` | `static void` | `registerNamespaceMetaProperties(groovy.lang.MetaClass mc, TagLibraryLookup gspTagLibraryLookup)`
    `` | `static void` | `registerNamespaceMetaProperty(groovy.lang.MetaClass metaClass, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace)`
    `` | `static void` | `registerPropertyMissingForTag(groovy.lang.MetaClass metaClass, java.lang.String name, java.lang.Object result)`
    `` | `static void` | `registerTagMetaMethods(groovy.lang.MetaClass emc, TagLibraryLookup lookup, java.lang.String namespace)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static java.lang.Object addTagLibMethodToMetaClass(groovy.lang.GroovyObject tagBean, groovy.lang.MetaMethod method, groovy.lang.MetaClass mc)

    - #### @groovy.transform.CompileStatic protected static boolean doesMethodExist(groovy.lang.MetaClass mc, java.lang.String methodName, java.lang.Class[] parameterTypes, boolean staticScope = false, boolean onlyReal = false)

    - #### @groovy.transform.CompileStatic static void enhanceTagLibMetaClass(GrailsTagLibClass taglib, TagLibraryLookup gspTagLibraryLookup)

    - #### @groovy.transform.CompileStatic static void enhanceTagLibMetaClass(groovy.lang.MetaClass mc, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) // workaround for GROOVY-6147 bug static java.lang.Object methodMissingForTagLib(groovy.lang.MetaClass mc, java.lang.Class type, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String name, java.lang.Object argsParam, boolean addMethodsToMetaClass)

    - #### @groovy.transform.CompileStatic static java.lang.Object registerMethodMissingForTags(groovy.lang.MetaClass metaClass, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String name, boolean addAll = true, boolean overrideMethods = true)

    - #### static java.lang.Object registerMethodMissingForTags(groovy.lang.MetaClass mc, org.springframework.context.ApplicationContext ctx, GrailsTagLibClass tagLibraryClass, java.lang.String name)

    - #### @groovy.transform.CompileStatic static void registerNamespaceMetaProperties(groovy.lang.MetaClass mc, TagLibraryLookup gspTagLibraryLookup)

    - #### @groovy.transform.CompileStatic static void registerNamespaceMetaProperty(groovy.lang.MetaClass metaClass, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace)

    - #### @groovy.transform.CompileStatic static void registerPropertyMissingForTag(groovy.lang.MetaClass metaClass, java.lang.String name, java.lang.Object result)

    - #### @groovy.transform.CompileStatic static void registerTagMetaMethods(groovy.lang.MetaClass emc, TagLibraryLookup lookup, java.lang.String namespace)